Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionComplex

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionComplex

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

Direct Known Subclasses:
  QStyleOptionComboBox, QStyleOptionGroupBox, QStyleOptionSizeGrip, QStyleOptionSlider, QStyleOptionSpinBox, QStyleOptionTitleBar, QStyleOptionToolButton

    public class QStyleOptionComplex

extends QStyleOption
implements java.lang.Cloneable

The `QStyleOptionComplex` class is used to hold parameters that are common to all complex controls. This class is not used on its own. Instead it is used to derive other complex control options, for example `QStyleOptionSlider` and `QStyleOptionSpinBox`.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator).

For an example demonstrating how style options can be used, see the Styles example.

See also:
  `QStyleOption`.

Nested Class Summary
`static class` | `QStyleOptionComplex.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionComplex.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QStyleOptionComplex()` Constructs a `QStyleOptionComplex` of the specified `type` and `version`, initializing the member variables to their default values.
`QStyleOptionComplex(int version)` Constructs a `QStyleOptionComplex` of the specified `type` and `version`, initializing the member variables to their default values.
`QStyleOptionComplex(int version, int type)` Constructs a `QStyleOptionComplex` of the specified `type` and `version`, initializing the member variables to their default values.
`QStyleOptionComplex(QStyleOptionComplex other)` Constructs a copy of the `other` style option.

Method Summary
`int` | `activeSubControls()` This variable holds a bitwise OR of the various sub-controls that are active (pressed) for the complex control.
`QStyleOptionComplex` | `clone()` This method is reimplemented for internal reasons
`static QStyleOptionComplex` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QStyleOptionComplex instance pointed to by `nativePointer`.
`static QNativePointer` | `nativePointerArray(QStyleOptionComplex[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionComplex array.
`void` | `setActiveSubControls(int activeSubControls)` This variable holds a bitwise OR of the various sub-controls that are active (pressed) for the complex control.
`void` | `setSubControls(int subControls)` This variable holds a bitwise OR of the various sub-controls that need to be drawn for the complex control.
`int` | `subControls()` This variable holds a bitwise OR of the various sub-controls that need to be drawn for the complex control.

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionComplex

    public QStyleOptionComplex(QStyleOptionComplex other)

  Constructs a copy of the `other` style option.

### QStyleOptionComplex

    public QStyleOptionComplex(int version)

  Constructs a `QStyleOptionComplex` of the specified `type` and `version`, initializing the member variables to their default values. This constructor is usually called by subclasses.

### QStyleOptionComplex

    public QStyleOptionComplex()

  Constructs a `QStyleOptionComplex` of the specified `type` and `version`, initializing the member variables to their default values. This constructor is usually called by subclasses.

### QStyleOptionComplex

    public QStyleOptionComplex(int version,
                               int type)

  Constructs a `QStyleOptionComplex` of the specified `type` and `version`, initializing the member variables to their default values. This constructor is usually called by subclasses.

Method Detail

### setSubControls

    public final void setSubControls(int subControls)

  This variable holds a bitwise OR of the various sub-controls that need to be drawn for the complex control. The default value is `QStyle::SC_All` .

See also:
  `QStyle::SubControl` .

### subControls

    public final int subControls()

  This variable holds a bitwise OR of the various sub-controls that need to be drawn for the complex control. The default value is `QStyle::SC_All` .

See also:
  `QStyle::SubControl` .

### setActiveSubControls

    public final void setActiveSubControls(int activeSubControls)

  This variable holds a bitwise OR of the various sub-controls that are active (pressed) for the complex control. The default value is `QStyle::SC_None` .

See also:
  `QStyle::SubControl` .

### activeSubControls

    public final int activeSubControls()

  This variable holds a bitwise OR of the various sub-controls that are active (pressed) for the complex control. The default value is `QStyle::SC_None` .

See also:
  `QStyle::SubControl` .

### fromNativePointer

    public static QStyleOptionComplex fromNativePointer(QNativePointer nativePointer)

  This method returns the QStyleOptionComplex instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionComplex[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionComplex array.

### clone

    public QStyleOptionComplex clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `QStyleOption`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD